
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
        <div class="dash2"></div>
		<div class="entry-meta">
			<?php majormedia_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content post_content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'major-media' ), 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'major-media' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', ', ' );

			if ( ! majormedia_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'This entry was tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'major-media' );
				} else {
					$meta_text = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'major-media' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) { ?>
                    <div class="cat-links">
                        <span class="cat-under"><?php _e( 'Filed Under', 'major-media' ); ?></span>
                        <span class="cat-list"><?php echo $category_list ?></span>
                    </div>
                <?php
					$meta_text = __( '<span class="tag-links">This</span> entry was tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'major-media' );
				} else { ?>
                	<div class="cat-links">
                        <span class="cat-under"><?php _e( 'Filed Under', 'major-media' ); ?></span>
                        <span class="cat-list"><?php echo $category_list ?></span>
                    </div>
				
                <?php	
					$meta_text = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'major-media' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink(),
				the_title_attribute( 'echo=0' )
			);
		?>

		<?php edit_post_link( __( 'Edit', 'major-media' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
    <div class="dash"></div>
    <?php majormedia_content_nav( 'nav-below' ); ?>
</article><!-- #post-<?php the_ID(); ?> -->
